VIMTUTOR(1)

NAME
vimtutor - tutoriel Vim

SYNOPSIS
vimtutor [-l | --language ISO639] [-c | --chapter NUMÉRO] [-g | --gui] [ISO639]
vimtutor [-h | --help]
vimtutor [--list]

DESCRIPTION
vimtutor lance le tutoriel Vim.

vimtutor est utile pour les personnes souhaitant apprendre leurs premières commandes Vim.

L'argument optionel [ISO639] correspond aux deux ou trois lettres qui identifient une langue, comme par exemple "it" ou "es".

vimtutor ne fait qu'ouvrir une copie temporaire des fichiers du tutoriel, il n'y a donc aucun risque d'écraser les leçons.

Vim est toujours lancé en mode Vi compatible.

OPTIONS

-l, --language ISO639
    Les deux ou trois lettres qui déterminent la langue, comme par exemple 'it', 'es' ou 'bar'. Par défaut, la langue locale du système est utilisée, ou l'anglais sinon.

-c, --chapter NUMÉRO
    Sélectionne le chapitre désiré. Par défaut, c'est le premier chapitre.

-g, --gui
    Lance vimtutor avec une interface graphique de Vim si possible; sinon, revient à la version console.

-h, --help
    Affiche les informations d'usage.

--list
    Affiche la liste des chapitres et des langues.

EXEMPLES
Pour démarrer vimtutor en français au premier chapitre:

    vimtutor fr

En anglais au chapitre deux:

    vimtutor -c2

Pour lancer (avec les commandes en format long) l'interface graphique, pour le bavarois, au premier chapitre:

    vimtutor --language bar --chapter 1 --gui

FICHIERS

/usr/local/share/vim/vim??/tutor/tutor1[.language]
    Les fichiers du premier chapitre du vimtutor .

/usr/local/share/vim/vim??/tutor/tutor2[.language]
    Les fichiers du deuxième chapitre du vimtutor .

/usr/local/share/vim/vim??/tutor/tutor.vim
    Le script Vim utilisé pour copier les fichier du vimtutor .

AUTEUR
Vimtutor a été écrit à l'origine pour Vi par Michael C. Pierce et Robert K. Ware, de la Colorado School of Mines, en reprenant des idées émises par Charles Smith, de la Colorado State University. Courriel: bware@mines.colorado.edu (ne fonctionne plus).
Il a été modifié pour Vim par Bram Moolenaar. Pour connaitre le nom des traducteurs, consultez les fichiers textes du tutoriel.

VOIR AUSSI
vim(1)

TRADUCTION
Cette page de manuel a été traduite par David Blanchet <david.blanchet@free.fr> 2004-12-27. Mise à jour 2012-05-06, Dominique Pellé <dominique.pelle@gmail.com>. Mise à jour 2025-06-16, Damien Lejay <damien@lejay.be>.